Bug 4167 - SASL build failure in trunk and 4.0 branch
: SASL build failure in trunk and 4.0 branch
Status: RESOLVED FIXED
: MDS2
gt2_mds
: 4.0.1
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-01-20 13:10 by
Modified: 2006-04-10 17:05 (History)


Attachments
add --disable-sample to GPT build file (857 bytes, text/plain)
2006-02-07 16:32, Mike Darcy
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-01-20 13:10:16
I tried building the prews-test bundle but it failed when building the
globus_cyrus-sasl package. The compile errors are (in the sample directory)

client.c:233: error: incompatible type for argument 2 of 'connect'
client.c:389: error: incompatible type for argument 2 of 'getsockname'
client.c:393: error: incompatible type for argument 2 of 'getpeername'

The build system was ubuntu linux (debian-based) with GCC Version:

gcc (GCC) 4.0.2 20050808 (prerelease) (Ubuntu 4.0.1-4ubuntu9)
Copyright (C) 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

and C library version: GNU Libc (ver 2.3.5)

I tried removeing #define _GNU_SOURCE from config.h and the build completed, but
I don't know that will work with other compiler/lib combinations. I wonder if
the sample directory can be ommitted from the build altogether?

joe
------- Comment #1 From 2006-02-07 04:00:00 -------
mike - re-assigning this to you as the only person left on the team with mds2 
experience
------- Comment #2 From 2006-02-07 15:37:03 -------
I will work with Mei to see if we can resolve this.
------- Comment #3 From 2006-02-07 16:28:25 -------
We think that adding the compile switch --disable-sample to trunk and branch 
GPT metadata build files should hopefully resolve the compile errors on this 
platform, though I suppose its possible other errors may appear now...

I don't have commit rights to gsi/sasl dir in CVS so I am going to attach a 
diff showing what we think should be changed.  If a gsi person can either 
commit this or give me rights to commit to gsi/sasl, we should be able to move 
forward.
------- Comment #4 From 2006-02-07 16:32:21 -------
Created an attachment (id=844) [details]
add --disable-sample to GPT build file
------- Comment #5 From 2006-04-10 17:05:45 -------
Changed ownership of gsi/sasl to MDS, applied patch in HEAD and branch.